Extending Qt Creator Manual | BuildStepList

Extending Qt Creator Manual 4.3.0

# BuildStepList Class

(ProjectExplorer::BuildStepList)

Inherits: | ProjectExplorer::ProjectConfiguration

- List of all members, including inherited members

## Public Functions

| BuildStepList(QObject *parent, Core::Id id)
| BuildStepList(QObject *parent, BuildStepList *source)
QList<BS *> | allOfType()
void | appendStep(BuildStep *step)
BuildStep * | at(int position)
void | cloneSteps(BuildStepList *source)
bool | contains(Core::Id id) const
int | count() const
BS * | firstOfType()
void | insertStep(int position, BuildStep *step)
bool | isEmpty() const
void | moveStepUp(int position)
bool | removeStep(int position)
QList<BuildStep *> | steps() const
QList<BuildStep *> | steps(const std::function<bool( const BuildStep * ) > &filter) const
Target * | target() const

- 11 public functions inherited from ProjectExplorer::ProjectConfiguration

## Signals

void | aboutToRemoveStep(int position)
void | stepInserted(int position)
void | stepMoved(int from, int to)
void | stepRemoved(int position)

- 2 signals inherited from ProjectExplorer::ProjectConfiguration

## Member Function Documentation

### BuildStepList::BuildStepList(QObject *parent, Core::Id id)

Default constructs an instance of BuildStepList.

### BuildStepList::BuildStepList(QObject *parent, BuildStepList *source)

Default constructs an instance of BuildStepList.

### `[signal]` void BuildStepList::aboutToRemoveStep(int position)

### QList<BS *> BuildStepList::allOfType()

### void BuildStepList::appendStep(BuildStep *step)

### BuildStep *BuildStepList::at(int position)

### void BuildStepList::cloneSteps(BuildStepList *source)

### bool BuildStepList::contains(Core::Id id) const

### int BuildStepList::count() const

### BS *BuildStepList::firstOfType()

### void BuildStepList::insertStep(int position, BuildStep *step)

### bool BuildStepList::isEmpty() const

### void BuildStepList::moveStepUp(int position)

### bool BuildStepList::removeStep(int position)

### `[signal]` void BuildStepList::stepInserted(int position)

### `[signal]` void BuildStepList::stepMoved(int from, int to)

### `[signal]` void BuildStepList::stepRemoved(int position)

### QList<BuildStep *> BuildStepList::steps() const

### QList<BuildStep *> BuildStepList::steps(const std::function<bool( const BuildStep * ) > &filter) const

### Target *BuildStepList::target() const